BuildTargetTreeNode (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.sdk.ui.shared.BuildTargetTreeNode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.sdk.ui.shared
Class BuildTargetTreeNode

    java.lang.Object
      TreeNode
          com.nokia.carbide.cpp.sdk.ui.shared.BuildTargetTreeNode

    public class BuildTargetTreeNode

extends TreeNode

A tree node representing a Symbian OS SDK. This node's children will be the list of available build configurations.

Constructor Summary
`BuildTargetTreeNode(ISymbianSDK value)` Constructs a new tree node for the given SDK
`BuildTargetTreeNode(ISymbianSDK value, boolean sbsv2Project)` Constructs a new tree node for the given SDK

Method Summary
`ISymbianSDK` | `getSymbianSDK()` Get the SDK for this node
`static BuildTargetTreeNode[]` | `getTreeViewerInput()` Gets the list of SDK tree nodes for use in a tree viewer.
`static BuildTargetTreeNode[]` | `getTreeViewerInput(boolean sbsv2Project)` Gets the list of SDK tree nodes for use in a tree viewer.
`java.lang.String` | `toString()` Returns the unique id the SDK associated with this node

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BuildTargetTreeNode

    public BuildTargetTreeNode(ISymbianSDK value)

  Constructs a new tree node for the given SDK

  Parameters:
    `value` - the SDK to create the tree node for

### BuildTargetTreeNode

    public BuildTargetTreeNode(ISymbianSDK value,
                               boolean sbsv2Project)

  Constructs a new tree node for the given SDK

  Parameters:
    `value` - the SDK to create the tree node for
  Since:
    1.4

Method Detail

### toString

    public java.lang.String toString()

  Returns the unique id the SDK associated with this node

### getSymbianSDK

    public ISymbianSDK getSymbianSDK()

  Get the SDK for this node

  Returns:
    the ISymbianSDK object for this tree node

### getTreeViewerInput

    public static BuildTargetTreeNode[] getTreeViewerInput()

  Gets the list of SDK tree nodes for use in a tree viewer. The SDK's are gathered from the SDK preferences page. Only enabled SDK's are used. Each SDK node will have build configurations for children appropriate for the SDK. These configurations are filtered based on the platform filtering preference panel.

  Returns:

### getTreeViewerInput

    public static BuildTargetTreeNode[] getTreeViewerInput(boolean sbsv2Project)

  Gets the list of SDK tree nodes for use in a tree viewer. The SDK's are gathered from the SDK preferences page. Only enabled SDK's are used. Each SDK node will have build configurations for children appropriate for the SDK. These configurations are filtered based on the platform filtering preference panel.

  Parameters:
    `sbsv2Project` - true if this is an SBSv2 project which affects how the build configuration list is calculated
  Returns:
    array of BuildTargetTreeNode, or null
  Since:
    1.4

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD